TTTT Analysis 0.1

Macros | Functions
TTTT_Analysis.cpp File Reference
`#include <iostream>`
`#include <vector>`
`#include <utility>`
`#include <limits>`
`#include "filval/filval.hpp"`
`#include "filval_root/filval_root.hpp"`
`#include "MiniTreeDataSet.hpp"`
`#include <TSystem.h>`
Include dependency graph for TTTT_Analysis.cpp:

## Macros
#define | PI 3.14159
#define | W_MASS 80.385
#define | Z_MASS 91.188
#define | T_MASS 172.44

## Functions
void | enable_branches (MiniTreeDataSet &mt)
void | declare_values (MiniTreeDataSet &mt)
void | declare_containers (MiniTreeDataSet &mt)
void | run_analysis (const std::string &input_filename, bool silent)
int | main (int argc, char *argv[])

## Detailed Description

Author
  Caleb Fangmeier caleb.nosp@m.@fan.nosp@m.gmeie.nosp@m.r.te.nosp@m.ch

Version
  0.1

# LICENSE

MIT License

Copyright (c) 2017 Caleb Fangmeier

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

# DESCRIPTION

Main analysis routine file. This file declares the Histogram/Graph objects that will end up in the final root file. It also declares the values that are used to populate the histogram, as well as how these values are calculated. See the Fil-Val documentation for how the system works.